Bug 167673 - Review Request: flow-tools - Tool set for working with NetFlow data
Review Request: flow-tools - Tool set for working with NetFlow data
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://www.splintered.net/sw/flow-tools/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-06 16:40 EDT by Paul P Komkoff Jr
Modified: 2015-03-18 07:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-08 04:24:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)
pre-review fixes (2.99 KB, patch)
2005-09-06 19:50 EDT, Tom "spot" Callaway
no flags Details | Diff

  None (edit)
Description Paul P Komkoff Jr 2005-09-06 16:40:59 EDT
Spec Name or Url: http://mirrors.sgu.ru/mm/s/SPECS/flow-tools.spec
SRPM Name or Url: http://mirrors.sgu.ru/mm/s/4/SRPMS/flow-tools-0.68-1.src.rpm
Description: 
Flow-tools is library and a collection of programs used to collect,
send, process, and generate reports from NetFlow data. The tools can be
used together on a single server or distributed to multiple servers for
large deployments. The flow-toools library provides an API for development
of custom applications for NetFlow export versions 1,5,6 and the 14 currently
defined version 8 subversions. A Perl and Python interface have been
contributed and are included in the distribution.
Comment 1 Tom "spot" Callaway 2005-09-06 19:50:24 EDT
Created attachment 118537 [details]
pre-review fixes

There were several items I noticed in the course of the review. Specifically:

- some missing macros
- %{version} not being used in Source
- Group should be Application/System, not System Environment/Daemons
- didn't own/create %{_localstatedir}/ft/
- missing BR: autoconf
- don't need generic INSTALL
- config files not marked config(noreplace)
- don't own all directories we create
- wasn't running ldconfig on post/postun

I've attached a patch which covers these issues. Please apply this patch, and
I'll review the package.
Comment 2 Paul P Komkoff Jr 2005-09-07 01:00:00 EDT
Apllied. Now:
Spec Name or Url: http://mirrors.sgu.ru/mm/s/SPECS/flow-tools.spec
SRPM Name or Url: http://mirrors.sgu.ru/mm/s/4/SRPMS/flow-tools-0.68-2.src.rpm
Comment 3 Tom "spot" Callaway 2005-09-07 11:39:58 EDT
Review:

Good:

- rpmlint checks return: 
W: flow-tools-devel no-documentation
Safe to ignore.
- meets Packaging, naming guidelines
- license (BSD) OK, text in %doc, matches source
- spec in am. english, legible
- source matches upstream
- compiles on x86 devel
- no missing, unnecessary BuildRequires
- no locales
- post/postun ldconfig ok
- not relocatable
- owns all dirs it creates
- no duplicate files
- permissions ok
- clean ok
- macros consistent
- code, not content
- no need for -docs
- -devel ok
- -devel requires main package n-v-r
- not a gui app
- .la files removed


Nitpick:

- the url for Patch0 (http://stingr.net/2/flow-tools/flow-tools-0.68a.patch) is
a 404. You should either fix the URL or drop it entirely (its not needed).

APPROVED.
Comment 4 Paul P Komkoff Jr 2010-07-09 04:28:45 EDT
Package Change Request
======================
Package Name: flow-tools
New Branches: EL-4 EL-5 EL-6
Owners: stingray orion
Comment 5 Kevin Fenzi 2010-07-09 13:57:53 EDT
CVS done (by process-cvs-requests.py).
Comment 6 Orion Poplawski 2015-03-17 17:04:50 EDT
Package Change Request
======================
Package Name: flow-tools
New Branches: epel7
Owners: stingray orion
Comment 7 Gwyn Ciesla 2015-03-18 07:16:15 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.